Subject: Re: [RFC][PATCH 1/1] cxgb3i: cxgb3 iSCSI initiator

From: Jeff Garzik <[email-masked]>
Date: Sun, 10 Aug 2008 08:49:32 -0400

Alan Cox wrote:
>>  - It doesn't work in theory, because the suggestion (I guess) is that
>>    the iSCSI HBA has its own MAC and IP and behaves like a separate
> 
> The iSCSI HBA is its own system - that is the root of the problem.

Indeed.

Just like with TOE, from the net stack's point of view, an iSCSI HBA is 
essentially a wholly asynchronous remote system [with a really fast 
communication bus like PCI Express].

As such, the task becomes updating the net stack such that 
formerly-private resources are now shared with an independent, external 
system...  with all the complexity, additional failure modes, and 
additional security complications that come along with that.

	Jeff